Module tdlight.api
Package it.tdlight.jni

# Class TdApi.NotificationType

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.NotificationType

Direct Known Subclasses:
  `TdApi.NotificationTypeNewCall`, `TdApi.NotificationTypeNewMessage`, `TdApi.NotificationTypeNewPushMessage`, `TdApi.NotificationTypeNewSecretChat`

Enclosing class:
  TdApi

public abstract static sealed class TdApi.NotificationType extends TdApi.Object permits TdApi.NotificationTypeNewMessage, TdApi.NotificationTypeNewSecretChat, TdApi.NotificationTypeNewCall, TdApi.NotificationTypeNewPushMessage
This class is an abstract base class. Contains detailed information about a notification.

## Constructor Summary

Constructors
Constructor
Description
`NotificationType()`
Default class constructor.

## Method Summary

### Methods inherited from class it.tdlight.jni.TdApi.Object

`getConstructor, serialize, serialize, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### NotificationType

public NotificationType()
Default class constructor.